Ptex: PtexHashMap< KeyType, DataType, HashFn >::iterator Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
PtexHashMap< KeyType, DataType, HashFn >::iterator Class Reference

Internal class used to provide iteration through the hash table. More...

`#include <PtexHashMap.h>`

## Public Member Functions
| iterator ()
| Default Constructor. More...
| iterator (const iterator &iter)
| Proper copy constructor implementation. More...
value_type | operator* () const
| Operator for obtaining the value that the iterator references. More...
iterator & | operator= (const iterator &iter)
| Proper assignment operator. More...
bool | operator== (const iterator &iter) const
| For comparing equality of iterators. More...
bool | operator!= (const iterator &iter) const
| For comparing inequality of iterators. More...
iterator & | operator++ (int)
| For advancing the iterator to the next element. More...

## Private Attributes
Entry ** | e
const PtexHashMap * | h
int | b

## Friends
class | PtexHashMap

## Detailed Description

### template<typename KeyType, typename DataType, typename HashFn>
class PtexHashMap< KeyType, DataType, HashFn >::iterator

Internal class used to provide iteration through the hash table.

Author
  brentb

Version
  1.0 brentb 11/01/2000: Initial version
  1.1 longson 06/26/2001: Added file and class comment headers

Definition at line 102 of file PtexHashMap.h.

## Constructor & Destructor Documentation

template<typename KeyType, typename DataType, typename HashFn>

PtexHashMap< KeyType, DataType, HashFn >::iterator::iterator | ( |  | ) |
| inline

Default Constructor.

Definition at line 105 of file PtexHashMap.h.

template<typename KeyType, typename DataType, typename HashFn>

PtexHashMap< KeyType, DataType, HashFn >::iterator::iterator | ( | const iterator & | iter | ) |
| inline

Proper copy constructor implementation.

Definition at line 108 of file PtexHashMap.h.

## Member Function Documentation

template<typename KeyType, typename DataType, typename HashFn>

bool PtexHashMap< KeyType, DataType, HashFn >::iterator::operator!= | ( | const iterator & | iter | ) | const
| inline

For comparing inequality of iterators.

Definition at line 124 of file PtexHashMap.h.

References PtexHashMap< KeyType, DataType, HashFn >::iterator::e.

template<typename KeyType, typename DataType, typename HashFn>

value_type PtexHashMap< KeyType, DataType, HashFn >::iterator::operator* | ( |  | ) | const
| inline

Operator for obtaining the value that the iterator references.

Definition at line 111 of file PtexHashMap.h.

References PtexHashMap< KeyType, DataType, HashFn >::iterator::e.

template<class KeyType , class DataType , class HashFn >

PtexHashMap< KeyType, DataType, HashFn >::iterator & PtexHashMap< KeyType, DataType, HashFn >::iterator::operator++ | ( | int |  | ) |

For advancing the iterator to the next element.

Definition at line 226 of file PtexHashMap.h.

References PtexHashMap< KeyType, DataType, HashFn >::_buckets, PtexHashMap< KeyType, DataType, HashFn >::_numBuckets, PtexHashMap< KeyType, DataType, HashFn >::iterator::b, PtexHashMap< KeyType, DataType, HashFn >::iterator::e, PtexHashMap< KeyType, DataType, HashFn >::iterator::h, and PtexHashMap< KeyType, DataType, HashFn >::Entry::next.

template<typename KeyType, typename DataType, typename HashFn>

iterator& PtexHashMap< KeyType, DataType, HashFn >::iterator::operator= | ( | const iterator & | iter | ) |
| inline

Proper assignment operator.

Definition at line 117 of file PtexHashMap.h.

References PtexHashMap< KeyType, DataType, HashFn >::iterator::b, PtexHashMap< KeyType, DataType, HashFn >::iterator::e, and PtexHashMap< KeyType, DataType, HashFn >::iterator::h.

template<typename KeyType, typename DataType, typename HashFn>

bool PtexHashMap< KeyType, DataType, HashFn >::iterator::operator== | ( | const iterator & | iter | ) | const
| inline

For comparing equality of iterators.

Definition at line 122 of file PtexHashMap.h.

References PtexHashMap< KeyType, DataType, HashFn >::iterator::e.

## Friends And Related Function Documentation

template<typename KeyType, typename DataType, typename HashFn>

friend class PtexHashMap
| friend

Definition at line 129 of file PtexHashMap.h.

## Member Data Documentation

template<typename KeyType, typename DataType, typename HashFn>

int PtexHashMap< KeyType, DataType, HashFn >::iterator::b
| private

Definition at line 132 of file PtexHashMap.h.

Referenced by PtexHashMap< KeyType, DataType, HashFn >::find(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator++(), and PtexHashMap< KeyType, DataType, HashFn >::iterator::operator=().

template<typename KeyType, typename DataType, typename HashFn>

Entry** PtexHashMap< KeyType, DataType, HashFn >::iterator::e
| private

Definition at line 130 of file PtexHashMap.h.

Referenced by PtexHashMap< KeyType, DataType, HashFn >::erase(), PtexHashMap< KeyType, DataType, HashFn >::find(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator!=(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator*(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator++(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator=(), and PtexHashMap< KeyType, DataType, HashFn >::iterator::operator==().

template<typename KeyType, typename DataType, typename HashFn>

const PtexHashMap* PtexHashMap< KeyType, DataType, HashFn >::iterator::h
| private

Definition at line 131 of file PtexHashMap.h.

Referenced by PtexHashMap< KeyType, DataType, HashFn >::find(), PtexHashMap< KeyType, DataType, HashFn >::iterator::operator++(), and PtexHashMap< KeyType, DataType, HashFn >::iterator::operator=().

The documentation for this class was generated from the following file:

- PtexHashMap.h